Page MenuHomePhabricator

dirstate-item: point out that `merged` is set only with p1_tracked
AbandonedPublic

Authored by marmoute on Oct 1 2021, 2:40 PM.

Details

Reviewers
Alphare
pulkit
Group Reviewers
hg-reviewers
Summary

This is currently True, and we will use this fact to simplify the API in the
next commit. However, we add this assertion first to validate that this is
True in the whole test-suite.

Diff Detail

Repository
rHG Mercurial
Branch
default
Lint
No Linters Available
Unit
No Unit Test Coverage

Event Timeline

marmoute created this revision.Oct 1 2021, 2:40 PM
Alphare accepted this revision.Oct 1 2021, 4:27 PM
This revision is now accepted and ready to land.Oct 1 2021, 4:27 PM
pulkit accepted this revision.Oct 12 2021, 9:29 AM
marmoute abandoned this revision.Oct 15 2021, 9:11 AM

apparently already queued but phabricator is confused.